当前位置: 动力学知识库 > 问答 > 编程问答 >

ggplot2 - New R user having problems installing and running plotly package

问题描述:

A few months ago I created a shiny app using plotly. My laptop at the time crashed, and I have had to download R and RStudio on a new computer. I am having issues running the plotly library on the new computer, which isn't allowing the shiny app to run at all.

library(plotly)

Loading required package: ggplot2

Error in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]) :

there is no package called colorspace

Error: package ggplot2 could not be loaded

I have searched other topics related to ggplot2 errors like this, and none of the help from them has worked.

网友答案:

Installing colorspace and restarting R seemed to have fixed this problem, but now my formerly working shiny app is glitchy. That seems like a topic for a different question though.

分享给朋友:
您可能感兴趣的文章:
随机阅读: